Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1052348 - PRD35 - [RFE] Include iotop package in RHEV-H images
Summary: PRD35 - [RFE] Include iotop package in RHEV-H images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.2.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Ryan Barry
QA Contact: Petr Kubica
URL:
Whiteboard: node
Depends On: rebase-ovirt-node-3.1
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-01-13 17:01 UTC by Jake Hunsaker
Modified: 2018-12-04 17:00 UTC (History)
11 users (show)

Fixed In Version: vt2.2
Doc Type: Enhancement
Doc Text:
In order to provide additional tools for debugging and troubleshooting potential storage problems from the Red Hat Enterprise Virtualization Hypervisor, the iotop package is now included in Red Hat Enterprise Virtualization Hypervisor images.
Clone Of:
Environment:
Last Closed: 2015-02-11 17:57:22 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 25872 None None None Never
oVirt gerrit 89387 master MERGED host-node: require iotop 2018-05-04 12:59:26 UTC

Description Jake Hunsaker 2014-01-13 17:01:12 UTC
Who is the customer behind the request?  
Account: name (acct #)  Shorecrest Prepatory School / 951684
TAM customer: no/yes  no
SRM customer: no/yes  no
Strategic: no/yes  no
  
 What is the nature and description of the request?  

Add the iotop package to the RHEV-H image
  
 Why does the customer need this? (List the business requirements here) 

Customer needs to be able to see which VMs are using high amounts of I/O on individual hypervisors

 How would the customer like to achieve this? (List the functional requirements here)  
  
Include the iotop package in the RHEV-H image, much like how iostat is already included

 Is there already an existing RFE upstream or in Red Hat Bugzilla? 

BZ 876697 is currently open to add storage IOP monitoring to RHEV, and while iotop has been mentioned as a possible way to implement this, I am opening this RFE to request the iotop package be added even if the above BZ is implemented without iotop
  
 Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  

No
  
 Is the sales team involved in this request and do they have any additional input?  

No
  
 List any affected packages or components.

RHEV-H ISO image
iotop

Comment 2 Petr Kubica 2014-10-23 19:44:58 UTC
Verified in RHEV-H 6.6-20141007.0.el6ev
rpm -qa | grep iotop
iotop-0.3.2-7.el6.noarch

Comment 3 Doron Fediuck 2014-12-07 15:02:30 UTC
Ryan, can you please provide the relevant doc text?

Comment 5 errata-xmlrpc 2015-02-11 17:57:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.